com.tibbo.aggregate.common.agent

## Class Agent

- java.lang.Object
- - com.tibbo.aggregate.common.agent.Agent

-     public class Agent
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PORT`
    `static int` | `DEFAULT_SECURE_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Agent(AgentContext context)`
    `Agent(AgentContext context, boolean useSecureConnection, boolean useDataCompression, int bufferSize)`
    `Agent(AgentContext context, boolean useSecureConnection, boolean useDataCompression, int bufferSize, int pendingEventsQueueCapacity, int maxCommandExecutors)`
    `Agent(RemoteServer server, java.lang.String name, boolean eventConfirmation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect()`
    `protected BlockingChannel` | `constructChannel()`
    `void` | `disconnect()`
    `AgentContext` | `getContext()`
    `java.lang.Long` | `getLastDataTimestamp()`
    `int` | `getPendingEventsCount()`
    `RemoteServer` | `getServer()`
    `long` | `getStartMessageCount()`
    `boolean` | `isConnected()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_SECURE_PORT

          public static final int DEFAULT_SECURE_PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Agent

          public Agent(RemoteServer server,
                       java.lang.String name,
                       boolean eventConfirmation)

    - #### Agent

          public Agent(AgentContext context)

    - #### Agent

          public Agent(AgentContext context,
                       boolean useSecureConnection,
                       boolean useDataCompression,
                       int bufferSize)

    - #### Agent

          public Agent(AgentContext context,
                       boolean useSecureConnection,
                       boolean useDataCompression,
                       int bufferSize,
                       int pendingEventsQueueCapacity,
                       int maxCommandExecutors)

  - ### Method Detail

    - #### connect

          public void connect()
                       throws RemoteDeviceErrorException

      Throws:
        `RemoteDeviceErrorException`

    - #### constructChannel

          protected BlockingChannel constructChannel()
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### disconnect

          public void disconnect()

    - #### run

          public void run()
                   throws DisconnectionException,
                          SyntaxErrorException,
                          java.io.IOException

      Throws:
        `DisconnectionException`
        `SyntaxErrorException`
        `java.io.IOException`

    - #### getStartMessageCount

          public long getStartMessageCount()

    - #### getLastDataTimestamp

          public java.lang.Long getLastDataTimestamp()

    - #### getServer

          public RemoteServer getServer()

    - #### getContext

          public AgentContext getContext()

    - #### isConnected

          public boolean isConnected()

    - #### getPendingEventsCount

          public int getPendingEventsCount()